FROM amd64/nginx:1.29.2-alpine@sha256:d4c57e1fe7d48bd6ec006fbc26e1b45d4ff294f46e8e5414fb065455eace6d0c as build

RUN apk add --update \
    wget

ARG HUGO_VERSION="0.89.4"
RUN wget --quiet "https://github.com/gohugoio/hugo/releases/download/v${HUGO_VERSION}/hugo_${HUGO_VERSION}_Linux-64bit.tar.gz" && \
    tar xzf hugo_${HUGO_VERSION}_Linux-64bit.tar.gz && \
    rm -r hugo_${HUGO_VERSION}_Linux-64bit.tar.gz && \
    mv hugo /usr/bin

COPY ./ /site
WORKDIR /site
RUN hugo

FROM amd64/nginx:1.29.2-alpine@sha256:d4c57e1fe7d48bd6ec006fbc26e1b45d4ff294f46e8e5414fb065455eace6d0c
ADD default.conf /etc/nginx/conf.d/default.conf
COPY --from=build /site/public /usr/share/nginx/html

WORKDIR /usr/share/nginx/html
